//============================================================================
// FILE: C_Parser.h
//
// TYPE: C++ CLASS
// DESCRIPTION: entête des fonctions de parsing
// 
// AUTHORS: Rellier (INRA/UBIA, Toulouse)
// REFERENCE : "Fondements ontologiques des systèmes pilotés"
//             R. Martin-Clouaire, J.-P. Rellier (INRA/UBIA, Toulouse)
//=X===============X=============================X============================

#ifndef _C_PARSER_HH
#define _C_PARSER_HH

// ---------------
// SYSTEM INCLUDES
// ---------------
#include <stdio.h>

// ----------------
// PROJECT INCLUDES
// ----------------
#include "C_CoreTypes.h"

// ---------------
// EXTERNAL REFERENCES
// ---------------

extern int yyparse();   // int : + JPR 020121 pour compile g++ 2.9.5 Linux

// ---------------
// EXTERNAL FUNCTIONS
// ---------------
//@Man: fonctions

	///\index{fonctions!ParseDirectiveFile}\label{foncParseDirectiveFile} 
void C_ParseDirectiveFile(char* nomFic);

	///
void C_Directive_Parser(LexicalInputFile*); // modif JPR 120306

//@}  // fin fonctions


#endif  // _C_PARSER_HH
